Bug 5101

Summary: [review] sa-learn --mbx seems to be broken
Product: Spamassassin Reporter: Larry Rosenman <ler>
Component: LearnerAssignee: SpamAssassin Developer Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P5    
Version: 3.1.5   
Target Milestone: 3.1.6   
Hardware: All   
OS: All   
Whiteboard: go for it
Attachments: suggested patch

Description Larry Rosenman 2006-09-15 23:25:02 UTC
sa-learn --mbx --spam --showdots /path/to/file

complains about missing file /path/to/file./path/to/file

and also using a &lt; redirect to the file complains about 
a /tmp/file./tmp/file missing. 

I've made available my file at http://www.lerctr.org/~ler/FN

I'm willing to test a patch as well.

I'm using the FreeBSD port, but I don't believe that should matter. 

Thanks!
Comment 1 Theo Van Dinter 2006-09-15 23:52:26 UTC
I'll be putting up a patch in a minute.  The problem is that JM backported a
bunch of AICache stuff from 3.2, which includes this bug in the mbx code.  Since
no one using mbx is currently running 3.2, apparently, we never noticed it. :(
Comment 2 Theo Van Dinter 2006-09-15 23:53:04 UTC
Created attachment 3695 [details]
suggested patch

I committed this to 3.2 as:

Sending        SpamAssassin/ArchiveIterator.pm
Sending        SpamAssassin/Constants.pm
Transmitting file data ..
Committed revision 446790.
Comment 3 Larry Rosenman 2006-09-15 23:59:33 UTC
this patch appears to fix it.  I'm going to send-pr it to the SpamAssassin 
maintainer for the FreeBSD port as a stopgap till 3.1.6 is released (unless 
that will be in a few days (doubtful :) ) 

Comment 4 Victor Moran 2006-09-18 05:58:41 UTC
I am having the same problem on Linux (White Box Enterprise Linux 4.3).

I just upgraded from SA 3.1.0 to 3.1.5.  Sa-learn was working in 3.1.0.

[root@mail vmoran]# sa-learn --spam --mbx ./spambox
archive-iterator: unable to open ./spambox../spambox: No such file or directory
[root@mail vmoran]# ls spambox
spambox
[root@mail vmoran]# file spambox
spambox: MBX mail folder
[root@mail vmoran]#     
Comment 5 Daryl C. W. O'Shea 2006-09-18 06:15:35 UTC
+1 on 3695

(In reply to comment #4)
> I am having the same problem on Linux (White Box Enterprise Linux 4.3).
> 
> I just upgraded from SA 3.1.0 to 3.1.5.  Sa-learn was working in 3.1.0.

Yeah, either apply the patch or wait for 3.1.6 to be released, hopefully
sometime in October.
Comment 6 Justin Mason 2006-09-29 11:01:04 UTC
+1
Comment 7 Daryl C. W. O'Shea 2006-09-29 23:41:43 UTC
[dos@FC5-VPC 3.1]$ svn ci -m "bug 5101: fix bug in mbx code introduced in a
backport of 3.2 AICache code"
Sending        lib/Mail/SpamAssassin/ArchiveIterator.pm
Sending        lib/Mail/SpamAssassin/Constants.pm
Transmitting file data ..
Committed revision 451553.
Comment 8 Victor Moran 2006-10-04 08:02:17 UTC
Thank you for the patch.  Its working again.